Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.content
Class PageflowLoggingHelper

    java.lang.Object
      com.bea.netuix.servlets.controls.content.PageflowLoggingHelper

    public class PageflowLoggingHelper

extends Object

Field Summary
`static String` | `NETUIX_REDIRECT_WARNING_MAP` Value used to store the HashMap in the request scope for determining netuix warning messages on redirect from begin or refresh action

Constructor Summary
`PageflowLoggingHelper()`

Method Summary
`static void` | `dontLogRedirectWarning(HttpServletRequest req)` Adds a portlet instance label to a request scoped Map which is used to conditionally log netiux redirect warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NETUIX_REDIRECT_WARNING_MAP

    public static final String NETUIX_REDIRECT_WARNING_MAP

  Value used to store the HashMap in the request scope for determining netuix warning messages on redirect from begin or refresh action

  See Also
    Constants Summary

Constructor Detail

### PageflowLoggingHelper

    public PageflowLoggingHelper()

Method Detail

### dontLogRedirectWarning

    public static void dontLogRedirectWarning(HttpServletRequest req)

  Adds a portlet instance label to a request scoped Map which is used to conditionally log netiux redirect warnings. Netuix redirect warnings will occur when the user attempts to redirect from the begin or refresh pageflow action. Calling this method from the begin or refresh action prior to redirect will suppress the warning messages. Note: For federated (WSRP) portlets, it is illegal to redirect in the begin or refresh action, so this should only be called for local portlets.

  Parameters
    `req` - the current pageflow request

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved